(***********************************************************************)
(*                                                                     *)
(*                              OCamlGen                               *)
(*                                                                     *)
(*                       OCaml module Generator                        *)
(*                                                                     *)
(*               EPI Pomdapi, INRIA Paris - Rocquencourt               *)
(*                                                                     *)
(*  Copyright 1997-2014 INRIA.                                         *)
(*  Institut National de Recherche en Informatique et en Automatique.  *)
(*  All rights reserved. This file is distributed only by permission.  *)
(*                                                                     *)
(*  Pierre Weis <Pierre.Weis@inria.fr>                                 *)
(*                                                                     *)
(***********************************************************************)

(* $Id: symbol.mli,v 1.8 2014/01/31 09:51:52 fclement Exp $ *)

(** Generation of unique names or symbols. *)

val make : string -> string;;
(** [make s] return a fresh symbol starting by [s]. Return [s], if
  [s] has not been generated yet. Otherwise, return [s] suffixed
  by an integer. *)

val create : unit -> string;;
(** [create ()] is equivalent to [make "x"]. *)

val reset : unit -> unit;;
(** Reset the symbol generator. *)
